{% extends 'base.html' %}

{% block title %}Add Event{% endblock %}

{% block content %}
<div class="container">
	<div class="row">
		<div class="col-6 offset-3">
			<h1 class="text-center my-3">Add Event</h1>

			{% if error == True %}
				<p class="text-danger">Please check the information added to the fields</p>
			{% endif %}

			<form action="{% url 'todolist:add_event' %}" method="post">
				{% csrf_token %}
				<div class="mb-3">
				    <label for="event_name">Task Name: </label>
				    <input class="form-control" autocomplete="off" id="event_name" type="text" name="event_name" value="{{ form.event_name.value }}" maxlength="200" required>
				</div>

				<div class="mb-3">
				    <label for="description">Description: </label>
				    <textarea class="form-control" autocomplete="off" id="description" type="text" name="description" value="{{ form.description.value }}" maxlength="200" required></textarea>
				</div>

				<div class="mb-3">
								    <label for="status">Status: </label>
								    <select class="form-control" name="status" id="status" required>
										<option value="Pending" >Pending</option>
										<option value="Ongoing" >Ongoing</option>
										<option value="Completed" >Completed</option>
									</select>
								</div>

				<div class="mb-3">
				    <label for="event_date">Date: </label>
				    <input class="form-control" autocomplete="off" id="event_date" type="datetime-local" name="event_date" value="{{ form.event_date.value }}" required>
				</div>

				<div class=" text-center">
			    	<input class="btn btn-success" type="submit" value="Add">
				</div>

			</form>
		</div>
	</div>
</div>
{% endblock %}